/* ͻ
 File last saved 21 Jun 1999 at 18:06:47 []                                
   Ķ
        Filename instobjs.cmd                                              
            Created 1 Sep 1998 at 12:11:04                                    
            Comment Installs various objects onto the Desktop for Ellie02.    
 18 Jun 1999    8Rewrite.                                                  
 21 Jun 1999   95Updated for FAT drives (renamed > 8chr fns)               
                 seticlient now seti                                       
   ͼ
*/

SIGNAL ON syntax
SIGNAL ON halt

if LoadRexxUtil() then EXIT 99

elliedir = SysIni('USER', 'AiG', 'Ellie_Home')
elliever = SysIni('USER', 'AiG', 'Ellie_Ver')
select
    when elliedir = 'ERROR:' then do
       say "   Ellie is not registered with OS/2.  Please run REGISTER.CMD from"
       say "   the directory you unzipped Ellie into."
       exit 98; end /* do */
    when elliever <> '0.2' then do
       say "You are attempting run this script on a previously installed but older"
       say "or newer version of Ellie.  Start again by running INSTALL.CMD."
       exit 97; end /* do */

    otherwise do

        say "   "
        say "   ** Install and register Ellie objects with your system **"
        say "   This program registers various objects and installs Ellie"
        say "   folders on the Desktop."
        say "   "
        say "   Are you sure you want to continue..?" '07'x
        call charout, "   Type YES to continue >___" || copies('08'x,3)

        pull ky
        if translate(ky) = 'YES' then
            call Process
        else
            say 'Program aborted.'

    end /* ow */
end /* select */
EXIT; /*::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
Process:
crlf = '0d0a'x
ok = '' || crlf
no = '' || '07'x || crlf
err = 0
call charout , "   Creating Ellie objects............................"
rc = SysCreateObject('WPFolder', "Ellie",'<WP_DESKTOP>',,
                     'BACKGROUND='elliedir'\ellie_bg.bmp,S,1,I;',
                     'OPEN=DEFAULT;ICONFILE='elliedir'\elliefldr1.ico;OBJECTID=<AIG_ELLIE_FLDR>', 'r')
if rc = 1  then call charout , ok; else do; call charout , no ; err = 1; end

call charout , "   Creating the Ellie program object................."
rc = SysCreateObject('WPProgram','Ellie','<AIG_ELLIE_FLDR>',,
                    'ICONFILE='elliedir'\ellie.ico;MINWIN=HIDE;EXENAME='elliedir'\ellie.exe;OBJECTID=<AIG_ELLIE>', "r")
if rc = 1  then call charout , ok; else do; call charout , no ; err = 1; end


call charout , "   Creating Ellie's WAV folder......................."
rc = SysCreateObject('WPFolder', "EllieWAVs",'<AIG_ELLIE_FLDR>',,
                     'BACKGROUND='elliedir'\amsg_bg.bmp;ICONVIEW=FLOWED,MINI',
                     'OPEN=DEFAULT;ICONFILE='elliedir'\wavfldr.ico;OBJECTID=<AIG_ELLIE_WAVS>', 'r')
if rc = 1  then call charout , ok; else do; call charout , no ; err = 1; end

call charout , "   Shadowing some WAVs to Ellie's WAV folder........."
rc = SysFileTree(elliedir'\WAVs\*.wav', 'wav.')
do w = 1 to wav.0

    parse var wav.w with . . . wavfile
    rc = SysCreateShadow(strip(wavfile), '<AIG_ELLIE_WAVS>')
    if rc = 1  then call charout , ''; else do; call charout , '' ; err = 1; end

end /* do */
call charout , crlf
call charout , "   Shadowing the ReadMe to Ellie's folder............"
rc = SysCreateShadow(elliedir'\readmev2.txt', '<AIG_ELLIE_FLDR>')
if rc = 1  then call charout , ok; else do; call charout , no ; err = 1; end

call charout , "   Shadowing the SETI CLIENT ReadMe to Ellie's folder."
rc = SysCreateShadow(elliedir'\seti.txt', '<AIG_ELLIE_FLDR>')
if rc = 1  then call charout , ok; else do; call charout , no ; err = 1; end



if err = 1 then do
    say
    say "There was an error creating the required objects for Ellie.  If you got this"
    say "far and ended up with an error something is out of my control and must"
    say "be peculiar to your system. You can try running Ellie though advanced client"
    say "control features may not function."
end
else do
    call SysOpenObject '<AIG_ELLIE_FLDR>', 'DEFAULT', 'TRUE'
    say
    say "   Object installation successful."
    call charout ,"   Do you want to read the README  (Y)es or (N)o ?" ; pull ky
    if translate(ky) = 'Y' then 'e' elliedir'\readmev2.txt'

    say
    say
    say "   You may want to resize the Ellie folder now open on your Desktop"
    say "   to make it squarer.  Not only does this show Jodie in a better"
    say "   light, but will make room for an object that Ellie will want to"
    say "   place there in a moment."
    say
    say
    say "   Object installation successful." '07'x '07'x '07'x
    say
    say "   Do you want me to doubleclick on the Ellie object and run her"
    call charout , "   for you now .(Y)es or (N)o ? " 
    pull ky
    if translate(ky) = 'Y' then
        call SysOpenObject '<AIG_ELLIE>', 'DEFAULT', 'TRUE'

    say
    say "   Have fun! Let me know of any problems, WIBNIfs (Wouldn't It Be"
    say "   Nice If's), mathematical algorithms or features to integrate into"
    say "   future versions of Ellie.  Clive."
    say '07'x

end /* do */

return
/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
LoadRexxUtil:
if rxFuncQuery('SysLoadFuncs') then do
    if rxFuncAdd('SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs') then do
        say 'Installation Error! (Phase 2)   Unable to load RexxUtil library.' '07'x
        say 'Please check that you have Rexx installed on your system.' '07'x
        return 1; end
    call SysLoadFuncs
end
return 0
/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */
syntax:
 say sourceline(sigl)
 say "syntax error on line ["sigl"]"
 say errortext(rc)
 trace ?R; NOP; EXIT
 return
halt:
 say "Ctrl-Break pressed.  Halting...  ** Warning ** This product may not be"
 say " installed completely!"
 EXIT
/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: */

